package com.fs.store.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.store.domain.FsUserProjectTag;
import com.fs.store.param.h5.TagListParam;
import com.fs.store.vo.h5.CompanyUserTagListVO;

import java.util.List;

public interface IFsUserProjectTagService extends IService<FsUserProjectTag> {

    /**
     * 添加用户项目标签
     * @param id        用户项目ID
     * @param tagIds    标签ID集合
     */
    void addUserProjectTag(Long id, List<Long> tagIds);

    /**
     * 添加用户项目标签
     * @param ids       用户项目ID集合
     * @param tagIds    标签ID集合
     */
    void addUserProjectTag(List<Long> ids, List<Long> tagIds);

    /**
     * 查询用户项目标签列表
     * @param param     参数
     * @return  list
     */
    List<CompanyUserTagListVO> getTagList(TagListParam param);

}
